Command Line and Startup Options

# Appendix D Command Line and Startup Options

- Command Line Options
- TkECLiPSe Startup Settings

## D.1 Command Line Options

The ECLiPSe system has several parameters which may be specified on the command line at invocation time. All the parameters are available with the command line version of eclipse; with tkeclipse, only the -g and -l parameters are available. The parameters are as follows:

−b file
  The same as −f file.
−f file
  Compile the file file before starting the session. Multiple -f options are allowed. The file name is expected to be in the operating system’s syntax. The file is processed by ensure_loaded/1, i.e., it can be a precompiled file or a source file, and file extensions are added as specified there.
−e goal
  Instead of starting an interactive toplevel, the system will execute the goal goal. goal is given in normal Prolog syntax, and has to be quoted if it contains any characters that would normally be interpreted by the shell. The -e option can be used together with the -f option and is executed afterwards. Only one -e option is allowed.

  The exit status of the ECLiPSe process reflects success or failure of the executed Prolog goal (0 for success, 1 for failure, 2 for abort).

  When you only have a runtime installation of eclipse, the -e option is compulsory because a runtime system does not have an interactive toplevel.

−g size
  This option specifies the limit to which the memory consumption of the ECLiPSe global/trail stack can grow. The size is specified in kilobytes (followed by an optional K), in megabytes (followed by M) or in gigabytes (followed by G). The default is 512M on 64-bit, or 256M on 32-bit machines. The amount required for this stack depends on the program’s data structures and may have to be increased for very large applications.
−l size
  This option specifies the limit to which the memory consumption of the ECLiPSe local/control stack can grow. The size is specified in kilobytes (followed by an optional K), in megabytes (followed by M) or in gigabytes (followed by G). The default is 128M on 64-bit, or 64M on 32-bit machines. The local/control stack is unlikely to require more than this default. If it does, it is probably caused by a programming error.
−D directory
  This options allows one to explicitly specify the ECLiPSe installation directory, i.e., the directory in which the system tries to find the ECLiPSe runtime system and libraries. This option overrides (and renders unnecessary) any setting of the ECLIPSEDIR environment variable (Unix) or, respectively, an ECLIPSEDIR registry entry (Windows) that may be in effect.
−L language
  The name of the language dialect used in the “top level module”. The default is eclipse_language, other possible values include iso, iso_strict, quintus etc. This property can also be set via an ECLIPSEDEFAULTLANGUAGE environment variable.
−t module
  The name of the “top level module”. This is an initially empty module, created by the system, which serves as the context for -f and -e options, and in which interactive toplevel queries are executed. This can be an arbitrary name, as long as it does not conflict with important library names. The default is eclipse.
−P
  Enable support for the sampling profiler (see library(profile). This will cause a slight slowdown in execution.
− −
  The ECLiPSe system will ignore this argument and everything that follows on the commmand line. The Prolog program will only see the part of the command line that follows this argument.

## D.2 TkECLiPSe Startup Settings

tkeclipse accepts the same −g and −l options as eclipse for setting stack sizes.

In addition, tkeclipse on UNIX reads settings from the files .tkeclipserc (for toplevel parameters) and .tkeclipsetoolsrc (for development tools parameters). The system will first search for these files in the current directory, and then in the user’s home directory. Each parameter is specified on a separate line in the appropriate file, in the format

        parameter value

On Windows, the settings are instead from the registry keys

        HKEY_CURRENT_USER\\Software\\IC-Parc\\ECLiPSe\\tkeclipserc
        HKEY_CURRENT_USER\\Software\\IC-Parc\\ECLiPSe\\tkeclipsetoolsrc

where each parameter is specified as a string value under the appropriate parameter key. In either case, the parameters can be modified and saved using the TkECLiPSe Preference Editor.

The parameters corresponding to the ECLiPSe command line settings are

globalsize (positive integer)
  The maximum size to which the global/trail stack area can grow to. The unit is megabytes. Overridden by the -g option.
localsize (positive integer)
  The maximum size to which the local/control stack area can grow to. The unit is megabytes. Overridden by the -l option.
initquery (string)
  An ECLiPSe query that TkECLiPSe will execute immediately after startup. It can be used to perform user defined initialisations.
default_language (string)
  The default language name (default: eclipse_language). Can be overridden by ECLIPSEDEFAULTLANGUAGE environment variable.
default_module (string)
  The default toplevel module name (default: eclipse).
with_profiler (0/1)
  Enable support for the profiler (default: 0).